net.sf.okapi.common.encoder

## Enum EncoderContext

- java.lang.Object
- - java.lang.Enum<EncoderContext>
  - - net.sf.okapi.common.encoder.EncoderContext

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EncoderContext>

      public enum EncoderContext
      extends java.lang.Enum<EncoderContext>

  Values for the context of the encoder.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INLINE` 2: Inline code context
    `SKELETON` 1: Skeleton context.
    `TEXT` 0: Text context.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EncoderContext` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EncoderContext[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TEXT

          public static final EncoderContext TEXT

      0: Text context.

    - #### SKELETON

          public static final EncoderContext SKELETON

      1: Skeleton context.

    - #### INLINE

          public static final EncoderContext INLINE

      2: Inline code context

  - ### Method Detail

    - #### values

          public static EncoderContext[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EncoderContext c : EncoderContext.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EncoderContext valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null